# Default values for coturn.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

image:
  repository: coturn/coturn
  pullPolicy: Always
  # Overrides the image tag whose default is the chart appVersion.
  tag: "4.7.0"

imagePullSecrets: []

redis:
  enabled: true
  master:
    nodeSelector:
      workload: infra
  replica:
    nodeSelector:
      workload: infra
  image:
    registry: public.ecr.aws
    repository: bitnami/redis
    tag: 6.2.14

exporter:
  enabled: true
  image:
    repository: ghcr.io/coturn/coturn-exporter
    tag: latest
    pullPolicy: IfNotPresent

nodeSelector:
  workload: media
tolerations:
- key: "dedicated"
  operator: "Equal"
  value: "media"
  effect: "NoSchedule"
